TCA_CORRECT("1")

NAME
tca_correct - Calculate transverse chromatic aberration

SYNOPSIS
tca_correct [options] inputfile

<inputfile> is the base name of 4 image files:

<inputfile>
    Colour file to compute TCA parameters

red_<inputfile>
    Red channel of <inputfile>

green_<inputfile>
    Green channel of <inputfile>

blue_<inputfile>
    Blue channel of <inputfile>

The channel images must be colour images with 3 identical channels. If any of -R, -G, or -B is given, this file name is used instead of the derived name.

Output: commandline arguments for fulla

DESCRIPTION
Generates fulla command-line parameters for correction of transverse chromatic aberration (TCA) from sample photos. Ideal sample photos would have a lot of contrast over the entire image area, little saturated colour and no blown highlights.

OPTIONS

-h  Display help

-l  input file is PTO file instead of image

-m method
    optimization method (0 normal, 1 newfit)

-o optvars
    string of variables to optimize ("abcvde")

-r  Reset values (this will zero a,b,c,d,e params and set v to 10) makes sense only with -l option

-s <scale>
    Scale for corner detection

-n <number>
    number of points per grid cell (default: 10)

-g <number>
    divide image in <number>x<number> grid cells (default: 10)

-t num
    Remove all control points with an error higher than num pixels (default: 1.5)

-v  Verbose

--save-into-database
    Saves the tca data into Hugin lens database

-w filename
    write PTO file

-R <r>
    Use this file as red channel

-G <g>
    Use this file as green channel

-B <b>
    Use this file as blue channel

AUTHORS
Written by Pablo d'Angelo and others.